Debian Bug report logs - #650819
grub-installer: The contents of grub.cfg depend on the kernel installed

version graph

Package: os-prober; Maintainer for os-prober is Debian Install System Team <debian-boot@lists.debian.org>; Source for os-prober is src:os-prober.

Reported by: Brian Potkin <claremont102@gmail.com>

Date: Sat, 3 Dec 2011 14:12:01 UTC

Severity: normal

Found in version os-prober/1.49

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package grub-installer. (Sat, 03 Dec 2011 14:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 03 Dec 2011 14:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-installer: The contents of grub.cfg depend on the kernel installed
Date: Sat, 3 Dec 2011 14:08:21 +0000
[Message part 1 (text/plain, inline)]
Package: grub-installer
Severity: normal


This is using today's daily build #1 for i386. The install was to a USB
stick (/dev/sdc) on a machine with one IDE drive carrying a Wheezy
install with two kernels. The result was the same installing to either
drive of a two SATA disk machine.

In short: the 30_os-prober section of grub.cfg is empty when the kernel
installed is linux-image-686-pae but correctly written when
linux-image-486 is used.

Attached are syslog-486 and syslog-686-pae. Both start at the point menu
item 'grub-installer' was selected.


brian@desktop:/media/sdd2$ grep ": result" syslog-486 
Dec  3 12:18:42 90linux-distro: result: /dev/sda1:Debian GNU/Linux (wheezy/sid):Debian:linux
Dec  3 12:18:43 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.1.0-1-686-pae:/boot/vmlinuz-3.1.0-1-686-pae:/boot/initrd.img-3.1.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 12:18:43 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.0.0-1-686-pae:/boot/vmlinuz-3.0.0-1-686-pae:/boot/initrd.img-3.0.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 12:20:44 90linux-distro: result: /dev/sda1:Debian GNU/Linux (wheezy/sid):Debian:linux
Dec  3 12:20:46 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.1.0-1-686-pae:/boot/vmlinuz-3.1.0-1-686-pae:/boot/initrd.img-3.1.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 12:20:46 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.0.0-1-686-pae:/boot/vmlinuz-3.0.0-1-686-pae:/boot/initrd.img-3.0.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 12:20:49 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.1.0-1-686-pae:/boot/vmlinuz-3.1.0-1-686-pae:/boot/initrd.img-3.1.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 12:20:49 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.0.0-1-686-pae:/boot/vmlinuz-3.0.0-1-686-pae:/boot/initrd.img-3.0.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10


brian@desktop:/media/sdd2$ grep ": result" syslog-686-pae 
Dec  3 11:54:49 90linux-distro: result: /dev/sda1:Debian GNU/Linux (wheezy/sid):Debian:linux
Dec  3 11:54:49 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.1.0-1-686-pae:/boot/vmlinuz-3.1.0-1-686-pae:/boot/initrd.img-3.1.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 11:54:49 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.0.0-1-686-pae:/boot/vmlinuz-3.0.0-1-686-pae:/boot/initrd.img-3.0.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 11:56:50 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.1.0-1-686-pae:/boot/vmlinuz-3.1.0-1-686-pae:/boot/initrd.img-3.1.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10
Dec  3 11:56:50 40grub2: result: /dev/sda1:/dev/sda1:Debian GNU/Linux, with Linux
3.0.0-1-686-pae:/boot/vmlinuz-3.0.0-1-686-pae:/boot/initrd.img-3.0.0-1-686-pae:root=UUID=cb83bfa2-57b7-4312-abb1-b0fc2fb7588a ro video=VGA-1:1280x1024 video=TV-1:1280x10


With linux-image-686-pae it appears update-grub does not pick up the
kernels on /dev/sda when chrooted to /target. Additionally, the lines

Dec  3 11:56:49 50mounted-tests: warning: failed to umount /var/lib/os-prober/mount
Dec  3 11:56:50 50mounted-tests: warning: failed to umount /var/lib/os-prober/mount

are in syslog-686-pae but not in syslog-486.


[syslog-486.gz (application/octet-stream, attachment)]
[syslog-686-pae.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package grub-installer. (Sun, 04 Dec 2011 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Dec 2011 16:27:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: 650819@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#650819: grub-installer: The contents of grub.cfg depend on the kernel installed
Date: Sun, 4 Dec 2011 16:24:35 +0000
reassign 650819 os-prober 1.49
thanks


On Sat 03 Dec 2011 at 14:08:21 +0000, Brian Potkin wrote:

> In short: the 30_os-prober section of grub.cfg is empty when the kernel
> installed is linux-image-686-pae but correctly written when
> linux-image-486 is used.

It becomes interesting if /usr/lib/os-probes/50mounted-tests from the
1,42 version of os-prober replaces the corresponding file on /target.
With linux-image-686-pae the 30_os-prober section of grub.cfg still does
not have any entries for a Linux OS but a Windows Vista OS is detected
and recorded,

Then, on replacing 50mounted-tests in /target/usr/lib/linux-boot-probes/
with the corresponding one from os-prober 1.42, the expected grub.cfg is
generated.

The methodology may not be the best but it seems sufficient to indicate
the bug should be reassigned.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package grub-installer. (Sun, 04 Dec 2011 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Dec 2011 16:57:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub-installer' to 'os-prober'. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Sun, 04 Dec 2011 19:27:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions os-prober/1.49. Request was from Brian Potkin <claremont102@gmail.com> to control@bugs.debian.org. (Sun, 04 Dec 2011 19:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Sun, 04 Dec 2011 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Dec 2011 23:45:03 GMT) Full text and rfc822 format available.

Message #24 received at submit@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: 650819@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#650819: grub-installer: The contents of grub.cfg depend on the kernel installed
Date: Sun, 4 Dec 2011 23:40:00 +0000
On Sun 04 Dec 2011 at 16:24:35 +0000, Brian Potkin wrote:

> reassign 650819 os-prober 1.49
> thanks

From the changelog in the 1.49 package:

   * Attempt to load the fuse module, to improve the chances of grub-mount
    working.

This line is in syslog-486 only:

   Dec  3 12:20:43 kernel: [  967.581149] fuse init (API version 7.17)

Another install was done with a 686-pae image. 'lsmod | grep fuse' was
checked at frequent intervals while os-prober was in operation. It's
output was empty.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Sun, 04 Dec 2011 23:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 04 Dec 2011 23:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Sun, 01 Apr 2012 00:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 01 Apr 2012 00:03:07 GMT) Full text and rfc822 format available.

Message #34 received at 650819@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 650819@bugs.debian.org, control@bugs.debian.org
Subject: Confirmed, serious
Date: Sat, 31 Mar 2012 19:58:17 -0400
[Message part 1 (text/plain, inline)]
severity 650819 serious
tags 650819 + confirmed patch
retitle 650819 GRUB entries (grub.cfg) sometimes lacking other operating 
systems, particularly installing 686 or amd64 images (i386)
reassign 650819 os-prober, grub-common
thanks

I have to confirm this. I was hit by this when installing from the March 
22 i386 wheezy netinst on my laptop, a typical Intel Core i3 (x86-64) 
laptop with Windows 7. Although d-i detected Windows, after the install 
Windows was not listed by GRUB.
I reproduced with a later businesscard, and then with a March 27 
"flexible way" USB key with an updated netinst. I reproduced this about 
in 10-20 installs before precisely understanding when/why it happened.

Thanks Brian for reporting. All the information you reported was 
precious in nailing this one. This is indeed an os-prober bug, or at 
least a bug of interaction between os-prober and GRUB.

First of all, debian-installer typically calls os-prober 3 times. The 
last time is during finish-install (clock-setup) and although it nicely 
fills syslog, it is not relevant at all to this problem. The 2 other 
times are indeed from grub-installer.
There are 2 os-prober packages, a deb and a udeb. Typically, both are 
installed. The deb may however not be installed, when automatic 
installation of recommendations is disabled (os-prober is only installed 
because it's recommended by grub-common) or when it is not available 
(for example, when installing from a netinst without using a mirror).
Typically, grub-installer calls os-prober twice. The first is used 
mainly to verify the list of other operating systems detected, before 
asking whether GRUB should be installed. The (possible) second time is 
when grub-installer calls update-grub (line 845). update-grub's 
30_os-prober hook calls os-prober if it is installed.
There is an important difference between these calls. The first, direct, 
call to os-prober happens in d-i's context (it uses os-prober-udeb). The 
second one happens in-target (it uses the os-prober deb). This problem 
comes from this second time. Starting from version 1.45, os-prober's 
50mounted-tests attempts to mount partitions using grub-mount, rather 
than using mount, if the former is available: 
http://packages.qa.debian.org/o/os-prober/news/20110424T183244Z.html
http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git;a=commit;h=7ed9dec4d2c65056f211324f8e25a4d913b0f2a1

> mounted=
> if which grub-mount >/dev/null 2>&1 && \
>    grub-mount "$partition" "$tmpmnt" 2>/dev/null; then
>     mounted=1
>     type="$(grub-probe -d "$partition" -t fs)"
>     [ "$type" ] || type=fuseblk
> else
>     ro_partition "$partition"
>     for type in $types; do
>         if mount -o ro -t "$type" "$partition" "$tmpmnt" 2>/dev/null; then
>             mounted=1
>             break
>         fi
>     done
> fi

What happens here is that grub-mount fails, but the if's condition still 
evaluates to true because grub-mount's exit status is 0, and the code 
above assumes 0 means success. From that point, 50mounted-tests 
considers the partition mounted, and subtests quietly fail to find anything.

This issue does not affect the first call to os-prober (which is outside 
the target) because which(1) is not available in the installer, so the 
condition is false and the tests fallback to the standard mount, which 
works. This bug (using which in os-prober-udeb) was fixed in os-prober 
1.51: 
http://anonscm.debian.org/gitweb/?p=d-i/os-prober.git;a=commit;h=94048e4ec7a8896fb2c9c917433fa5e3ba71fbbe
However, that commit also introduced a check for grub-probe, which is 
not in grub-mount-udeb for now, as indicated in the commit message, so 
for now there is no functional difference; the first use of os-prober 
will keep falling back to the standard mount.


Brian's finding about the subtle "fuse init" line was a hint to the 
reason why grub-mount fails. grub-mount needs fuse, and fuse is not in 
the installer's 486 Linux. Here is what happens:
# grub-mount /dev/sdb1 /var/lib/os-prober/mount
fuse: device not found, try 'modprobe fuse' first

However, fuse is in stock (non-install) Linux images, so when installing 
the 486 image, grub-mount succeeds to load fuse because it's running 
in-target and it attemps loading the installed Linux's LKM, rather than 
failing to find a fuse LKM for the installer Linux. Of course, the 
installed Linux's fuse is compatible with the installer Linux's module 
ABI when installing the 486 image, but not when installing the 686 
image. This is presumably also true on i386 for any non-486 image, such 
as amd64, however the 686 image is on netinsts and offered as a choice. 
It should be noted that at this time, the 486 image is more likely to be 
installed on 686 machines due to #655437, but this is merely a blessed 
misfortune.

I do not know other architectures, but I imagine that this doesn't 
affect amd64, as the only image proposed for installation will be amd64, 
which matches the installer. So I imagine this problem is largely 
specific to i386.


Back to the problem in 50mounted-tests's use of grub-mount, grub-mount's 
exit status is unspecified. However, it's clear that it generally 
attempts to return non-0 on error, but it doesn't do that in this case. 
I did not debug grub-mount, but this is my understanding of the problem 
from a summary code examination.

grub-mount.c:
> static grub_err_t
> fuse_init (void)
> {
>   int i;
>
>   for (i = 0; i < num_disks; i++)
>     {
>       char *argv[2];
>       char *host_file;
>       char *loop_name;
>       loop_name = grub_xasprintf ("loop%d", i);
>       if (!loop_name)
>     grub_util_error (grub_errmsg);
>
>       host_file = grub_xasprintf ("(host)%s", images[i]);
>       if (!host_file)
>     grub_util_error (grub_errmsg);
>
>       argv[0] = loop_name;
>       argv[1] = host_file;
>
>       if (execute_command ("loopback", 2, argv))
>         grub_util_error (_("loopback command fails"));
>
>       grub_free (loop_name);
>       grub_free (host_file);
>     }
>
>   grub_lvm_fini ();
>   grub_mdraid09_fini ();
>   grub_mdraid1x_fini ();
>   grub_raid_fini ();
>   grub_raid_init ();
>   grub_mdraid09_init ();
>   grub_mdraid1x_init ();
>   grub_lvm_init ();
>
>   dev = grub_device_open (0);
>   if (! dev)
>     return grub_errno;

I believe grub_device_open() is failing, but the if still returns 0.

disk.c:

> grub_disk_t
> grub_disk_open (const char *name)
> {
>   const char *p;
>   grub_disk_t disk;
>   grub_disk_dev_t dev;
>   char *raw = (char *) name;
>   grub_uint64_t current_time;
>
>   grub_dprintf ("disk", "Opening `%s'...\n", name);
>
>   disk = (grub_disk_t) grub_zalloc (sizeof (*disk));
>   if (! disk)
>     return 0;
>
>   p = find_part_sep (name);
>   if (p)
>     {
>       grub_size_t len = p - name;
>
>       raw = grub_malloc (len + 1);
>       if (! raw)
>     goto fail;
>
>       grub_memcpy (raw, name, len);
>       raw[len] = '\0';
>       disk->name = grub_strdup (raw);
>     }
>   else
>     disk->name = grub_strdup (name);
>   if (! disk->name)
>     goto fail;
>
>
>   for (dev = grub_disk_dev_list; dev; dev = dev->next)
>     {
>       if ((dev->open) (raw, disk) == GRUB_ERR_NONE)
>     break;
>       else if (grub_errno == GRUB_ERR_UNKNOWN_DEVICE)
>     grub_errno = GRUB_ERR_NONE;
>       else
>     goto fail;
>     }
>
>   if (! dev)
>     {
>       grub_error (GRUB_ERR_UNKNOWN_DEVICE, "no such disk");
>       goto fail;
>     }

Oddly, GRUB_ERR_UNKNOWN_DEVICE seems to be defined as 0.

err.h:

> typedef enum
>   {
>     GRUB_ERR_NONE = 0,
>     GRUB_ERR_TEST_FAILURE,
>     GRUB_ERR_BAD_MODULE,
>     GRUB_ERR_OUT_OF_MEMORY,
>     GRUB_ERR_BAD_FILE_TYPE,
>     GRUB_ERR_FILE_NOT_FOUND,
>     GRUB_ERR_FILE_READ_ERROR,
>     GRUB_ERR_BAD_FILENAME,
>     GRUB_ERR_UNKNOWN_FS,
>     GRUB_ERR_BAD_FS,
>     GRUB_ERR_BAD_NUMBER,
>     GRUB_ERR_OUT_OF_RANGE,
>     GRUB_ERR_UNKNOWN_DEVICE,
>     GRUB_ERR_BAD_DEVICE,
>     GRUB_ERR_READ_ERROR,
>     GRUB_ERR_WRITE_ERROR,
>     GRUB_ERR_UNKNOWN_COMMAND,
>     GRUB_ERR_INVALID_COMMAND,
>     GRUB_ERR_BAD_ARGUMENT,
>     GRUB_ERR_BAD_PART_TABLE,
>     GRUB_ERR_UNKNOWN_OS,
>     GRUB_ERR_BAD_OS,
>     GRUB_ERR_NO_KERNEL,
>     GRUB_ERR_BAD_FONT,
>     GRUB_ERR_NOT_IMPLEMENTED_YET,
>     GRUB_ERR_SYMLINK_LOOP,
>     GRUB_ERR_BAD_COMPRESSED_DATA,
>     GRUB_ERR_MENU,
>     GRUB_ERR_TIMEOUT,
>     GRUB_ERR_IO,
>     GRUB_ERR_ACCESS_DENIED,
>     GRUB_ERR_EXTRACTOR,
>     GRUB_ERR_BUG
>   }
> grub_err_t;

This I don't understand, if it's intentional.


So I see 4 ways to fix/workaround this:

 * Add fuse to the installer's Linux image(s), or add a fuse modules udeb
 * Always use traditional mount instead of grub-mount
 * Make grub-mount return non-0 on failure
 * Check grub-mount's output instead of just checking its exit status.


I used the last approach, changing both 50mounted-tests from

> if type grub-mount >/dev/null 2>&1 && \
>    type grub-probe >/dev/null 2>&1 && \
>    grub-mount "$partition" "$tmpmnt" 2>/dev/null; then

 to

> if type grub-mount >/dev/null 2>&1 && \
>    type grub-probe >/dev/null 2>&1 && \
>    [ -z `grub-mount "$partition" "$tmpmnt" 2>&1` ]; then

I verified that this succeeds to workaround. Note that this assumes that 
grub-mount will write to stderr or stdout if and only if it fails.

umount's failure towards the end of 50mounted-tests ("warning: failed to 
umount /var/lib/os-prober/mount") is therefore an indication of the 
problem, but not its cause. It would greatly help to avoid problems of 
this kind to give the reason for this failure:

>     REASON=$(umount "$tmpmnt" 2>&1)
>     if ! [ $? = "0" ]; then
>         warn "failed to umount $tmpmnt ; $REASON"
>     fi


It also wouldn't hurt to warn when the partition wasn't mounted. These 
changes would give something like this for the general 50mounted-tests:

> if [ "$mounted" ]; then
>     for test in /usr/lib/os-probes/mounted/*; do
>         debug "running subtest $test"
>         if [ -f "$test" ] && [ -x "$test" ]; then
>             if "$test" "$partition" "$tmpmnt" "$type"; then
>                 debug "os found by subtest $test"
>                 if ! umount "$tmpmnt"; then
>                     warn "failed to umount $tmpmnt"
>                 fi
>                 rmdir "$tmpmnt" || true
>                 exit 0
>             fi
>         fi
>     done
>     REASON=$(umount "$tmpmnt" 2>&1)
>     if ! [ $? = "0" ]; then
>         warn "failed to umount $tmpmnt ; $REASON"
>     fi
> else
>     warn "mounted-tests: $partition not mounted"
> fi

To clarify, this will not happen when os-prober is not installed to the 
target. In that case, grub-installer hacks a static 30_otheros file by 
using the output of the first call to os-prober (from the udeb). This 
appears to work fine, so the problem will not be visible in this rare 
case, as grub.cfg will end up containing the necessary entries.

Unfortunately, it's currently only the second call that fails (due to 
the which / grub-probe issue(s) explained above), which causes the 
installed system to lack the entries even though grub-installer said 
they were detected in its prompt, hence serious severity.

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Wed, 04 Apr 2012 18:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 04 Apr 2012 18:30:06 GMT) Full text and rfc822 format available.

Message #39 received at 650819@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 650819@bugs.debian.org
Subject: Increased potentiality
Date: Wed, 04 Apr 2012 14:25:19 -0400
#655437 is now fixed, which will increase this bug's exposure.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Thu, 05 Apr 2012 12:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 05 Apr 2012 12:33:20 GMT) Full text and rfc822 format available.

Message #44 received at 650819@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Filipus Klutiero <chealer@gmail.com>
Cc: 650819@bugs.debian.org
Subject: Re: Confirmed, serious
Date: Thu, 5 Apr 2012 15:16:20 +0300
On Sat, Mar 31, 2012 at 07:58:17PM -0400, Filipus Klutiero wrote:
> severity 650819 serious
> tags 650819 + confirmed patch
> retitle 650819 GRUB entries (grub.cfg) sometimes lacking other
> operating systems, particularly installing 686 or amd64 images
> (i386)
> reassign 650819 os-prober, grub-common
> thanks

Looks like your BTS commands were ignored (maybe because of MIME multipart
message).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Thu, 05 Apr 2012 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 05 Apr 2012 14:27:04 GMT) Full text and rfc822 format available.

Message #49 received at 650819@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 650819@bugs.debian.org
Subject: Re: Bug#650819: Confirmed, serious
Date: Thu, 05 Apr 2012 10:22:32 -0400
On 2012-04-05 08:16, Touko Korpela wrote:
> On Sat, Mar 31, 2012 at 07:58:17PM -0400, Filipus Klutiero wrote:
>> severity 650819 serious
>> tags 650819 + confirmed patch
>> retitle 650819 GRUB entries (grub.cfg) sometimes lacking other
>> operating systems, particularly installing 686 or amd64 images
>> (i386)
>> reassign 650819 os-prober, grub-common
>> thanks
> Looks like your BTS commands were ignored (maybe because of MIME multipart
> message).
>

Yeah, the BTS ignores all my commands :-( The BTS team is aware of the 
issue.
Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Wed, 20 Jun 2012 02:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 20 Jun 2012 02:03:06 GMT) Full text and rfc822 format available.

Message #54 received at 650819@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 650819@bugs.debian.org
Subject: Also affects GRUB prompt now
Date: Tue, 19 Jun 2012 22:00:51 -0400
[Message part 1 (text/plain, inline)]
Now that grub2 1.99-19 was uploaded, this doesn't just affect grub.cfg:
>   * Add grub-probe to grub-mount-udeb (LP: #963471).
grub-installer's prompt before installing GRUB is now, from what I can 
see, always broken, so it's at least as bad as the grub.cfg actually 
generated. Therefore, this doesn't cause #666750 anymore. The worst that 
should happen now if users are careful is that they'd refuse to install 
Debian.

There are now 2 scenarios:

1. If installing a Linux image different from the installer's image,
   both the prompt and the actual grub.cfg will lack other OS-en, so
   this is a consistent failure.
2. If installing the same Linux image as the installer's, the prompt
   will lack other OS-en, but the actual grub.cfg will have other
   OS-en, so this is just a false alarm.

I witnessed scenario 1 installing i386 on a recent desktop (686-pae). I 
witnessed scenario 2 installing i386 on a non-PAE laptop. Installs of 
the amd64 architecture should be in scenario 2. In the end, this is a 
regression for amd64, but a big (unintended) "improvement" for i386.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Tue, 18 Sep 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 18 Sep 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #59 received at 650819@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 684265@bugs.debian.org, 650819@bugs.debian.org, Debian Bug Control <control@bugs.debian.org>
Cc: 686314@bugs.debian.org
Subject: Worked around
Date: Tue, 18 Sep 2012 19:49:20 -0400
severity 650819 normal
close 684265 3.2.29-1
forcemerge 650819 686314
thanks

This is no longer RC. A workaround has finally been applied, namely the 
first one, adding fuse. It will take some time before the fix makes it 
to install media. Note that I did not verify that the current symptom is 
gone and am closing its report assuming that fuse was properly added to 
installer images.

We should still apply one of solutions 3 or 4, but this is no longer urgent.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#650819; Package os-prober. (Sat, 10 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian Potkin <claremont102@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 10 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

Message #64 received at 650819@bugs.debian.org (full text, mbox):

From: Brian Potkin <claremont102@gmail.com>
To: Filipus Klutiero <chealer@gmail.com>, 650819@bugs.debian.org
Subject: Re: Bug#650819: Worked around
Date: Sat, 10 Nov 2012 13:31:10 +0000
On Tue 18 Sep 2012 at 19:49:20 -0400, Filipus Klutiero wrote:

> severity 650819 normal
> close 684265 3.2.29-1
> forcemerge 650819 686314
> thanks
> 
> This is no longer RC. A workaround has finally been applied, namely
> the first one, adding fuse. It will take some time before the fix
> makes it to install media. Note that I did not verify that the
> current symptom is gone and am closing its report assuming that fuse
> was properly added to installer images.
> 
> We should still apply one of solutions 3 or 4, but this is no longer urgent.

With a daily image using kernel-image-3.2.0-4 the current symptom does
appear to have indeed gone away. Thank you for your attention to the
bug, Filipus.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:48:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.